<?php

namespace App\Validations;

use App\Utils\DateUtils;

class AuditComandaValidator {

	static public function adminExecExame(array $request): array {

		$resp = array ();
		
		if (!DateUtils::isDateValid( trim( $request ['data_exec'] ) )) {
			$resp = [ 
				'data_exec' => 'Data invalida'
			];
		}
		if (!DateUtils::isHoraValid( trim( $request ['hora_exec'] ) )) {
			$resp = [ 
				'hora_exec' => 'Hora invalida'
			];
		}
		if (!intval( $request ['requisicao_id'] )) {
			$resp = [
					'requisicao_id' => 'O campo requisicao_id é obrigatório'
			];
		}
		if (!intval( $request ['assistente_id'] )) {
			$resp = [
					'assistente_id' => 'O campo assistente_id é obrigatório'
			];
		}
		
		return $resp;

	}
	
	static public function adminExcluirExame(array $request): array {
		
		$resp = array ();
		
		if (!intval( $request ['requisicao_id'] )) {
			$resp = [
					'requisicao_id' => 'O campo requisicao_id é obrigatório'
			];
		}
				
		return $resp;
		
	}
	
	static public function adminNewReqExecExame(array $request): array {
		
		$resp = array ();
		
		if (!DateUtils::isDateValid( trim( $request ['data_exec'] ) )) {
			$resp = [
					'data_exec' => 'Data invalida'
			];
		}
		if (!DateUtils::isHoraValid( trim( $request ['hora_exec'] ) )) {
			$resp = [
					'hora_exec' => 'Hora invalida'
			];
		}
		if (!intval( $request ['id_comanda'] )) {
			$resp = [
					'id_comanda' => 'O campo id_comanda é obrigatório'
			];
		}
		if (!intval( $request ['assistente_id'] )) {
			$resp = [
					'assistente_id' => 'O campo assistente_id é obrigatório'
			];
		}
		if (!intval( $request ['id_cliente'] )) {
			$resp = [
					'id_cliente' => 'O campo id_cliente é obrigatório'
			];
		}
		if (!intval( $request ['id_pet'] )) {
			$resp = [
					'id_pet' => 'O campo id_pet é obrigatório'
			];
		}
		if (!intval( $request ['id_unidade'] )) {
			$resp = [
					'id_unidade' => 'O campo id_unidade é obrigatório'
			];
		}
		if (!intval( $request ['id_convenio_procedimento'] )) {
			$resp = [
					'id_convenio_procedimento' => 'O campo id_convenio_procedimento é obrigatório'
			];
		}
		
		return $resp;
		
	}
	
	static public function adminExcluirConsulta(array $request): array {
		
		$resp = array ();
		
		if (!intval( $request ['requisicao_id'] )) {
			$resp = [
					'requisicao_id' => 'O campo requisicao_id é obrigatório'
			];
		}
		
		return $resp;
		
	}
	

}

